Bug 997690 - SizeNotPositiveError: bytes= param must be >=0
SizeNotPositiveError: bytes= param must be >=0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:4db36bd4f0b52e89778295e7bd3...
: Reopened
: 1000914 (view as bug list)
Depends On:
Blocks: F20AlphaBlocker 1008049
  Show dependency treegraph
 
Reported: 2013-08-15 22:54 EDT by Steve Tyler
Modified: 2013-09-18 22:39 EDT (History)
19 users (show)

See Also:
Fixed In Version: anaconda-20.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008049 (view as bug list)
Environment:
Last Closed: 2013-09-18 22:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (315.97 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: anaconda.log (6.87 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: environ (441 bytes, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: lsblk_output (1.47 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: nmcli_dev_list (480 bytes, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: os_info (297 bytes, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: program.log (22.83 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: storage.log (68.19 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: syslog (64.14 KB, text/plain)
2013-08-15 22:54 EDT, Steve Tyler
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-08-15 22:55 EDT, Steve Tyler
no flags Details
File: packaging.log (240.79 KB, text/plain)
2013-08-15 22:55 EDT, Steve Tyler
no flags Details
proposed patch: drop unneeded variable required_space_text (1.08 KB, patch)
2013-08-19 12:09 EDT, David Lehman
no flags Details | Diff
Anaconda traceback with TC5 (431.80 KB, text/plain)
2013-09-09 20:07 EDT, Amit Saha
no flags Details
anaconda-tb-* (838.46 KB, text/plain)
2013-09-16 13:24 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Steve Tyler 2013-08-15 22:54:15 EDT
Description of problem:
Start installer from rawhide boot.iso.
Click Installation Destination.
Click Done.

Version-Release number of selected component:
anaconda-20.6-1

The following was filed automatically by anaconda:
anaconda 20.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 136, in __new__
    raise SizeNotPositiveError("bytes= param must be >=0")
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 155, in __radd__
    return Size(bytes=Decimal.__radd__(self, other, context=context))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 177, in _get_sw_needs_text
    "total": required_space_text + auto_swap,
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 239, in refresh
    sw_text = self._get_sw_needs_text(required_space, auto_swap)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 848, in on_back_clicked
    self.encrypted)
SizeNotPositiveError: bytes= param must be >=0

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x20rawhide\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-0.rc5.git2.1.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Steve Tyler 2013-08-15 22:54:21 EDT
Created attachment 787130 [details]
File: anaconda-tb
Comment 2 Steve Tyler 2013-08-15 22:54:26 EDT
Created attachment 787131 [details]
File: anaconda.log
Comment 3 Steve Tyler 2013-08-15 22:54:30 EDT
Created attachment 787132 [details]
File: environ
Comment 4 Steve Tyler 2013-08-15 22:54:34 EDT
Created attachment 787133 [details]
File: lsblk_output
Comment 5 Steve Tyler 2013-08-15 22:54:39 EDT
Created attachment 787134 [details]
File: nmcli_dev_list
Comment 6 Steve Tyler 2013-08-15 22:54:43 EDT
Created attachment 787135 [details]
File: os_info
Comment 7 Steve Tyler 2013-08-15 22:54:48 EDT
Created attachment 787136 [details]
File: program.log
Comment 8 Steve Tyler 2013-08-15 22:54:52 EDT
Created attachment 787137 [details]
File: storage.log
Comment 9 Steve Tyler 2013-08-15 22:54:58 EDT
Created attachment 787138 [details]
File: syslog
Comment 10 Steve Tyler 2013-08-15 22:55:03 EDT
Created attachment 787139 [details]
File: ifcfg.log
Comment 11 Steve Tyler 2013-08-15 22:55:08 EDT
Created attachment 787140 [details]
File: packaging.log
Comment 12 Steve Tyler 2013-08-15 23:24:10 EDT
Tested with:
$ qemu-kvm -m 4096 -hda f18-test-2.img -cdrom ~/xfr/fedora/rawhide/boot.iso -vga std -boot menu=on

The rawhide boot.iso does not have a version number, so these are a substitute:

$ file boot.iso
boot.iso: # ISO 9660 CD-ROM filesystem data 'Fedora rawhide x86_64           ' (bootable)

$ sha256sum boot.iso 
1e9b4df158d51dcdf8f245c1a0eba4aa190e044e7d296e5df3eacbcc05ebcbe7  boot.iso

$ isoinfo -lR -i boot.iso | egrep 'vmlinuz|squashfs'
-rwxr-xr-x   2    0    0         5653880 Aug 14 2013 [  31326 00]  vmlinuz 
-rw-r--r--   1    0    0       222838784 Aug 15 2013 [  49515 00]  squashfs.img 
-rwxr-xr-x   2    0    0         5653880 Aug 14 2013 [  31326 00]  vmlinuz 

$ file boot-loop/isolinux/vmlinuz 
boot-loop/isolinux/vmlinuz: Linux kernel x86 boot executable bzImage, version 3.11.0-0.rc5.git2.1.fc20.x86_64 (mockbuild@bkernel01.phx2.fedor, RO-rootFS, swap_dev 0x5, Normal VGA
Comment 13 Adam Williamson 2013-08-17 03:14:04 EDT
Built a live image with today's Rawhide packages, booted it, went through gnome-initial-setup (which is a bug itself - #998083), then run 'sudo liveinst', completed language selection, and tried to do disk selection. Crash occurred at that point IIRC.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=20130816-desktop-x86_64 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 slub_debug=- BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc5.git3.1.fc20.x86_64
other involved packages: python-blivet-0.19-1.fc20.noarch
package:        anaconda-20.6-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         SizeNotPositiveError: bytes= param must be >=0
release:        Fedora release 20 (Rawhide)
version:        rawhide
Comment 14 Adam Williamson 2013-08-17 03:15:12 EDT
This appears to be a showstopper that's hit two people at least. Nominating as an Alpha blocker.
Comment 15 Joachim Frieben 2013-08-17 06:14:04 EDT
Error occurred after confirming custom partititioning with ``DONE''.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.utf8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-20-Nightly-x86_64-Live-de rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-0.rc5.git3.1.fc20.x86_64
other involved packages: python-blivet-0.19-1.fc20.noarch
package:        anaconda-20.6-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         SizeNotPositiveError: bytes= param must be >=0
release:        Fedora release 20 (Rawhide)
version:        rawhide
Comment 16 David Lehman 2013-08-19 12:09:50 EDT
Created attachment 788148 [details]
proposed patch: drop unneeded variable required_space_text

It would be helpful if someone could apply this and test it.
Comment 17 Steve Tyler 2013-08-19 13:45:21 EDT
With the patch applied, I get Installation Options, after clicking Done in Installation Destination, instead of a SizeNotPositiveError exception.

The next problem is that after clicking Custom Partitioning, I get an all-white screen instead of the Custom Partitioning dialog. There is no anaconda-tb-* file, however. This could be related to my choice of initial disk configuration ... will retest with a default, msdos-labeled disk configuration.

Tested with:
A pre-partitioned GPT disk image.

$ qemu-kvm -m 8192 -hda f19-test-3.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130816.11-1.iso -vga std -boot menu=on
Comment 18 Steve Tyler 2013-08-19 14:52:09 EDT
Confirming that the patch fixes this bug.

Procedure:

$ qemu-img create f20-test-1.img 12G
Do a minimal F19 install with default storage configuration.

$ qemu-kvm -m 8192 -hda f20-test-1.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130816.11-1.iso -vga std -boot menu=on

Start patched anaconda-20.6-1 installer.

Click Installation Destination.
Installation Destination dialog is displayed.
Click Done.
The SizeNotPositiveError exception does not occur here.
Installation Options dialog is displayed.

What follows appears to be a different bug:

Click Cancel ...
Click Done.
Click Reclaim Space.
Reclaim Disk Space dialog is displayed.

Click Cancel.
Click Done.
Click Custom partitioning.

Installation Summary is unexpectedly displayed with all elements grayed.
The pointer is responsive, but no links respond to clicks, and no tooltips are displayed.
From a terminal, it can be seen that there is no anaconda-tb-* in /tmp.
Attaching to anaconda with strace shows the it is rapidly receiving repeated SIGSEGVs.
Comment 19 Steve Tyler 2013-08-19 15:34:33 EDT
(In reply to Steve Tyler from comment #18)
...
> What follows appears to be a different bug:
...

Bug 998687 - SIGSEGV storm instead of Manual Partitioning
Comment 20 Kamil Páral 2013-08-21 12:20:41 EDT
Discussed at 2013-08-21 blocker review meeting [1]. This is accepted as an Alpha blocker, because it violates the following F20 alpha release criterion: "The installer must be able to complete an installation to a single disk using automatic partitioning." [2]

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-08-21/
[2] https://fedoraproject.org/wiki/Fedora_20_Alpha_Release_Criteria#Disk_layouts
Comment 21 David Shea 2013-08-26 14:48:21 EDT
*** Bug 1000914 has been marked as a duplicate of this bug. ***
Comment 22 Adam Williamson 2013-08-29 21:29:14 EDT
I'm pretty sure this should be marked fixed at this point.
Comment 23 satellitgo 2013-09-05 12:36:00 EDT
reported this bug in bugzilla from CD of netinstall Alpha TC-4  but do not see the entries.....fails at reclaim disk. (Bugzilla found this bug number)
Comment 24 Steve Tyler 2013-09-05 12:46:29 EDT
(In reply to satellit from comment #23)
> reported this bug in bugzilla from CD of netinstall Alpha TC-4  but do not
> see the entries.....fails at reclaim disk. (Bugzilla found this bug number)

Thanks for your report. Reopening.

The bug was closed, so no comments for dupes are appended.
Could you attach /tmp/anaconda-tb, if possible?
Comment 25 Amit Saha 2013-09-05 18:30:58 EDT
I was trying to reclaim space on my existing hard disk partition and when I did a "delete all", I ran into this crash.

Screencast link will be attached.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Scientific-KDE-x86_6 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.0-3.fc20.x86_64
other involved packages: python-blivet-0.20-1.fc20.noarch
package:        anaconda-20.10-2.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         SizeNotPositiveError: spec= param must be >=0
release:        Fedora release 20 (Null)
version:        20
Comment 26 Amit Saha 2013-09-05 18:53:26 EDT
(In reply to Amit Saha from comment #25)
> I was trying to reclaim space on my existing hard disk partition and when I
> did a "delete all", I ran into this crash.
> 
> Screencast link will be attached.

http://www.youtube.com/watch?v=isHmVG2sRzw

I was attempting to installed Fedora 20 TC4.
Comment 27 Jaroslav Reznik 2013-09-07 04:45:00 EDT
Does reclaim fits Alpha criteria with automatic partitioning? Even as referenced, just rewriting existing data should be enough for Alpha.
Comment 28 David Lehman 2013-09-09 11:50:05 EDT
Please, someone who is still seeing this crash, attach the /tmp/anaconda-tb-* file. It is impossible to fix this without it.
Comment 29 Tim Flink 2013-09-09 16:27:55 EDT
I'm having a lot of trouble reproducing this. Following the video listed in c#26, I created a vm with a 70G disk and have been using the F20 alpha TC4 x64 KDE live.

Even following the steps shown in the video almost verbatim (down to deselecting and reselecting the install target disk), I can't get anything to crash - the install proceeds without issue. I'll do a few more installs but I'm sceptical that I'm going to get a repo here.
Comment 30 Amit Saha 2013-09-09 20:07:13 EDT
Created attachment 795781 [details]
Anaconda traceback with TC5

This is the requested file with TC5 while attempting to delete all partitions
Comment 31 Petr Schindler 2013-09-10 08:53:47 EDT
I can't reproduce it too. I followed the video from comment 26 but I had no luck. I tested it on bare metal and on virtual machine.
Comment 32 David Lehman 2013-09-10 09:56:52 EDT
Given that most people cannot reproduce this, it may be that there is something specific to Amit's disk layout that is triggering the crash.

It may be worth noting that the crash is in signal handler code that's triggered when the user moves the resize slider. (Yes -- I realize that the resize slider does not even appear in the reproducer video.)
Comment 33 Tim Flink 2013-09-11 15:44:15 EDT
started install with F20 alpha RC1 x86_64 DVD burned to a USB stick using livecd-iso-to-disk and booted with EFI.

I selected a disk, and standard partition autopart. After selecting "delete all" on the existing partitions, I got the crash after clicking on "reclaim space"

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz inst.stage2=hd:UUID=5F18-9593 quiet
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
package:        anaconda-20.14-1
product:        Fedora
reason:         SizeNotPositiveError: spec= param must be >=0
release:        Cannot get release name.
version:        20-Alpha
Comment 34 Fedora Update System 2013-09-11 21:02:30 EDT
anaconda-20.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.15-1.fc20
Comment 35 Tim Flink 2013-09-12 06:37:34 EDT
I re-confirmed that I could reproduce this bug with F20 alpha RC1 (anaconda-20.14-1.fc20) before attempting an install with F20 alpha RC2 (anaconda-20.15-1.fc20).

Confirmed that the fix works, moving to VERIFIED
Comment 36 Fedora Update System 2013-09-13 21:04:23 EDT
anaconda-20.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.16-1.fc20
Comment 37 Fedora End Of Life 2013-09-16 13:12:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 38 Reartes Guillermo 2013-09-16 13:16:11 EDT
Guest has W7 default install, i tried to install F20a RC2 to test dualboot.

Tried to reclaim space with automatic partitioning (default scheme: lvm) and set the partition to
resize. Anaconda crashed immediately.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
package:        anaconda-20.15-1
product:        Fedora
reason:         SizeNotPositiveError: spec= param must be >=0
release:        Cannot get release name.
version:        20-Alpha
Comment 39 Reartes Guillermo 2013-09-16 13:24:53 EDT
Created attachment 798366 [details]
anaconda-tb-*
Comment 40 Fedora Update System 2013-09-16 13:47:12 EDT
anaconda-20.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.17-1.fc20
Comment 41 Amit Saha 2013-09-17 01:00:55 EDT
Installed Fedora 20 Scientific Alpha RC3 and performed the "Delete all" operation to reclaim space. No crash. Worked as expected.
Comment 42 Reartes Guillermo 2013-09-17 07:08:43 EDT
I re-tested (Comment #38) with F20a RC3 and Anaconda did not crash.
The re-size operation with automatic partitioning ended ok.
Comment 43 Fedora Update System 2013-09-18 22:39:49 EDT
anaconda-20.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.